Package oracle.nosql.driver.ops

## Class WriteMultipleResult.OperationResult

- java.lang.Object
- - oracle.nosql.driver.ops.Result
  - - oracle.nosql.driver.ops.WriteMultipleResult.OperationResult

- Enclosing class:
    WriteMultipleResult

      public static class WriteMultipleResult.OperationResult
      extends Result

  The Result associated with the execution of an individual operation in the request.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getExistingModificationTime()` | Returns the previous modification time associated with the key if available.
    `MapValue` | `getExistingValue()` | Returns the previous row value associated with the key if available.
    `Version` | `getExistingVersion()` | Returns the existing row version associated with the key if available.
    `FieldValue` | `getGeneratedValue()` | Returns the value generated if the operation created a new value.
    `boolean` | `getSuccess()` | Returns the flag indicates whether the operation succeeded.
    `Version` | `getVersion()` | Returns the version of the new row for put operation, or null if put operations did not succeed or the operation is delete operation.
    `String` | `toString()` |

    - ### Methods inherited from class oracle.nosql.driver.ops.WriteResult

      `setClient`

    - ### Methods inherited from class oracle.nosql.driver.ops.Result

      `getRateLimitDelayedMs, getRetryStats`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationResult

          public OperationResult()

  - ### Method Detail

    - #### getSuccess

          public boolean getSuccess()

      Returns the flag indicates whether the operation succeeded. A put or delete operation may be unsuccessful if the condition is not matched.
      Returns:
        true if the operation succeeded

    - #### getVersion

          public Version getVersion()

      Returns the version of the new row for put operation, or null if put operations did not succeed or the operation is delete operation.
      Returns:
        the version if it exists

    - #### getExistingVersion

          public Version getExistingVersion()

      Returns the existing row version associated with the key if available.
      Returns:
        the existing version if set

    - #### getExistingValue

          public MapValue getExistingValue()

      Returns the previous row value associated with the key if available.
      Returns:
        the existing value if set

    - #### getExistingModificationTime

          public long getExistingModificationTime()

      Returns the previous modification time associated with the key if available.
      Returns:
        the modification time if set, in milliseconds sine Jan 1, 1970
      Since:
        5.3.0

    - #### getGeneratedValue

          public FieldValue getGeneratedValue()

      Returns the value generated if the operation created a new value. This can happen if the table contains an identity column or string column declared as a generated UUID. If the table has no such columns this value is null. If a value was generated for the operation, it is non-null. This value is only valid for a put operation on a table with an identity column or string as uuid column.
      Returns:
        the generated value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`